<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgElectricalModelTransformerMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.bf.entity.FhzgElectricalModelTransformer">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="sectionId" column="section_id" jdbcType="VARCHAR"/>
            <result property="transformerId" column="transformer_id" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="rPu" column="r_pu" jdbcType="DECIMAL"/>
            <result property="xPu" column="x_pu" jdbcType="DECIMAL"/>
            <result property="bPu" column="b_pu" jdbcType="DECIMAL"/>
            <result property="isActive" column="is_active" jdbcType="TINYINT"/>
            <result property="fbusId" column="fbus_id" jdbcType="VARCHAR"/>
            <result property="tbusId" column="tbus_id" jdbcType="VARCHAR"/>
            <result property="ratioPu" column="ratio_pu" jdbcType="DECIMAL"/>
            <result property="angleDeg" column="angle_deg" jdbcType="DECIMAL"/>
            <result property="rateCapacityKva" column="rate_capacity_kva" jdbcType="DECIMAL"/>
            <result property="feederId" column="feeder_id" jdbcType="VARCHAR"/>
            <result property="psrType" column="psr_type" jdbcType="VARCHAR"/>
            <result property="psrId" column="psr_id" jdbcType="VARCHAR"/>
            <result property="iMag" column="i_mag" jdbcType="DECIMAL"/>
            <result property="pFromPu" column="p_from_pu" jdbcType="DECIMAL"/>
            <result property="qFromPu" column="q_from_pu" jdbcType="DECIMAL"/>
            <result property="pToPu" column="p_to_pu" jdbcType="DECIMAL"/>
            <result property="qToPu" column="q_to_pu" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,section_id,transformer_id,
        name,r_pu,x_pu,
        b_pu,is_active,fbus_id,
        tbus_id,ratio_pu,angle_deg,
        rate_capacity_kva,feeder_id,psr_type,
        psr_id,i_mag,p_from_pu,
        q_from_pu,p_to_pu,q_to_pu,
        create_time
    </sql>
</mapper>
